@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
  height: 100%;
  background-color: $solitude;
}

// main content
.app-main-content {
  @include flex(flex-start);
  height: calc(100% - 58px);

  // custom scrollbar flex
  app-custom-scrollbar {
    flex: 1 0 1020px;
    max-width: calc(100% - 70px - 190px);

    ::ng-deep {
      .ps-content {
        height: 100%;
      }
    }
  }
}

app-custom-scrollbar {
  height: 100%;
}

// router content
.app-router-content {
  @include padding(32px 18px);
  position: relative;
  min-height: 100%;
}

// header
app-dashboard-header {
  position: relative;
  z-index: 4500;
}

@media (max-width: 767px) {
  // main content
  .app-main-content {
    // custom scrollbar flex
    app-custom-scrollbar {
      flex: 1 0 100%;
      max-width: 100%;
    }
  }
  // router content
  .app-router-content {
    padding: 32px 8px 16px 8px;
    margin-top: 30px;
  }
}

@media (min-width: 768px) and (max-width: 1300px) {
  .app-main-content {
    // custom scrollbar flex
    app-custom-scrollbar {
      max-width: calc(100% - 60px - 150px);
    }
  }
}
